Skip to content

Asynchronization Task Notification

Request

Event ID: 8001

When Keeta's platform receives an asynchronous request, it creates an internal task for processing. Upon task completion (success or failure), Keeta will notify the vendor via this webhook.

Notes

  • jobStatus values:
    • QUEUED: The job has not started.
    • INPROGRESS: The job is being processed.
    • COMPLETED: Processing has finished.
    • FAILED: the job is failed to excute.
  • When jobStatus = COMPLETED, the result will contain the task execution details, including vendors and SKUs that failed to create the promotion activity.
Bodyapplication/jsonrequired
taskTypeintegerrequired

Indicates the asynchronous task type corresponding to this notification.

  • 1: Add Product Task
  • 2: Update Product Task
  • 3: Manage Promotion Task
  • 4: Update Product and Promotion Task
Example:1
jobIdstringrequired

Job identifier from the response of the corresponding asynchronous task.

Example:"id_12345"
jobStatusstringrequired
Example:"COMPLETED"
downloadUrlstring, (uri)

Temporary URL to download a CSV report with item-level feedback, such as validation errors, detected duplicates, or formatting issues. Only when the jobStatus=COMPLETED then the downloadUrl is available.

Example:"https://example.com/feedback/a946a2c7/job.csv"
reasonstring

The specific reasons when jobStatus=FAILED.

Example:"The job failed to execute."
POST
/asynchronization/task/notification
curl -i -X POST \
  https://open.mykeeta.com/api/open/grocery/asynchronization/task/notification \
  -H 'Content-Type: application/json' \
  -d '{
    "taskType": 1,
    "jobId": "id_12345",
    "jobStatus": "COMPLETED",
    "downloadUrl": "https://example.com/feedback/a946a2c7/job.csv",
    "reason": "The job failed to execute."
  }'

Responses

Optimal http response status